<div class="modal hide quick-create">
    <div class="modal-header">
        <a class="close" data-dismiss="modal"><i class="fa fa-times"></i></a>
    </div>
    <div class="modal-body">
        <div class="span9" style="margin-left:10px;">
            <h3>Choose Work Product</h3>
             <input id="getOAuthToken" type="hidden" getOAuthToken="{{getOAuthToken}}" value="{{getOAuthToken}}">
        </div>

        <div class="span9">
            <select id="Wplist" onchange="myFunction()" ;>
                {{#each ResData}}
                <option value="{{id}}" name="{{name}}"  currntwpid="{{currntwpid}}"  currntwpname="{{currntwpname}}"  currntgdname="{{currntgdname}}" {{#ifeq id currntwpid}} selected {{/ifeq}}>{{name}} </option>
                {{/each}}
            </select>
        </div>

        <div class="span9" style="margin-left:10px;">
            <h3>Choose Group Design</h3>
        </div>

        <div class="span9">
            <select id="GDlist">
                {{#each resData}}
                <option value="{{id}}" name="{{name}}" selected="">{{name}} </option>
                {{/each}}
            </select>

        </div>


    </div>
    <div class="modal-footer">
        {{#each meta.buttons}}

        {{field ../this model=../createModel}}

        {{/each}}

    </div>
</div>
<script>
    function myFunction() {
        var CurrentWP = $('#Wplist').val();
        var CurrentGDname = $('#Wplist').find('option:selected').attr('currntgdname'); 
        var oauth = $("#getOAuthToken").val();
        //alert('auth value : '+ oauth);  
          console.log('oauth value line 83 ',oauth);
        $.ajax({
            url: "index.php?module=GD_Group_Design&entryPoint=GetGdlist",
            data: "CurrentWP=" + CurrentWP + "&CurrentGDname=" + CurrentGDname,
            method: 'POST',
            headers: {"OAuth-Token": oauth},
            success: function (response) {                
                //alert(response);
                 if(response =='')
                {
                    $('.subbtn').css('pointer-events','none');
                    $('.subbtn').css('opacity','0.3');
                }
                else
                {
                    $('.subbtn').css('pointer-events','unset');
                    $('.subbtn').css('opacity','unset');
                }
                $("#GDlist option").remove();
                $('#GDlist').append(response);
            },
            error: function () {
                alert('error');
            }
        })

    }
    
</script>